View Issue Details

IDProjectCategoryView StatusLast Update
0021649mantisbtcode cleanuppublic2016-08-28 01:12
ReporterdregadAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0-rc.2 
Target Version1.3.1Fixed in Version1.3.1 
Summary0021649: Remove incorrectly placed db_param_push()
Description

When db_query() is called without a parameter array, the db_param stack is not popped automatically, so we shouldn't call db_param_push().

TagsNo tags attached.

Relationships

related to 0020479 closeddregad Error 401 db_query bind params starts with $2 

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master-1.3.x 22c421e9

2016-08-20 17:28:37

cproensa


Committer: dregad Details Diff
Remove incorrectly placed db_param_push()

When db_query() is called without a parameter array, the db_param stack
is not popped automatically, so in this case the db_param_push was not
being popped after query execution.

Fixes 0021649
mod - core/category_api.php Diff File
mod - core/custom_field_api.php Diff File
mod - core/email_queue_api.php Diff File

Issue History

Date Modified Username Field Change
2016-08-27 17:48 dregad New Issue
2016-08-27 17:48 dregad Status new => assigned
2016-08-27 17:48 dregad Assigned To => cproensa
2016-08-27 17:49 dregad Relationship added related to 0020479
2016-08-27 17:49 dregad Description Updated View Revisions
2016-08-27 17:51 dregad Changeset attached => MantisBT master-1.3.x 22c421e9
2016-08-27 17:51 dregad Assigned To cproensa => dregad
2016-08-27 17:51 dregad Status assigned => resolved
2016-08-27 17:51 dregad Resolution open => fixed
2016-08-27 17:51 dregad Fixed in Version => 1.3.1
2016-08-27 17:53 dregad Assigned To dregad => cproensa
2016-08-28 01:12 vboctor Status resolved => closed